
Redmine - Patch #35648

Changelog generator should allow merging two or more versions

2021-08-01 10:15 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.1.0   

Description

The script used to generate the changelog for releases should allow merging two or more versions.

For example, for the latest releases, we generated the changelog for two versions:

4.1.4

4.2.2

The changelog for 4.2.2 should contain also the changes for 4.1.4, but the script doesn't do this and we need to manually merge the

changelogs which is very error-prone.

Also, the script should allow authorised requests in order to pull the security issues which are private at the time of the releases. The

authorization should use environment variables.

Associated revisions

Revision 23287 - 2024-11-17 12:35 - Marius BĂLTEANU

Changelog generator should allow merging two or more versions (#35648).

Revision 23471 - 2025-01-29 08:22 - Go MAEDA

Update usage description to clarify support for multiple version IDs in changelog.rb (#35648).

History

#1 - 2024-11-12 20:49 - Marius BĂLTEANU

- File 0001-Update-changelog-generator-script-to-use-the-API-to-.patch added

- Assignee set to Go MAEDA

- Target version set to 6.1.0

Go MAEDA, can you review the attached patch? I've used it for the recent releases and it was easier to generate the combined changelog, for

example:

bin/changelog.rb -i "196|197" it will generate the changelog for 5.1.4 and 5.0.10.

#2 - 2024-11-13 09:45 - Go MAEDA

- Assignee changed from Go MAEDA to Marius BĂLTEANU

LGTM! It worked fine as far as I tested.

#3 - 2024-11-17 12:36 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

Committed, thanks!

Files

0001-Update-changelog-generator-script-to-use-the-API-to-.patch 12 KB 2024-11-12 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/users/332
https://www.redmine.org/versions/197
https://www.redmine.org/versions/196
http://www.tcpdf.org

